igeo.io

## Class IObjFileImporter

- java.lang.Object
- - igeo.io.IObjFileImporter

-     public class IObjFileImporter
      extends java.lang.Object

  Wavefront OBJ file importer class.
  Author:
    Satoru Sugihara

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IObjFileImporter.AmbientColor`
    `static class` | `IObjFileImporter.BasisMatrix`
    `static class` | `IObjFileImporter.BevelInterpolation`
    `static class` | `IObjFileImporter.ColorInterpolation`
    `static class` | `IObjFileImporter.Comment`
    `static class` | `IObjFileImporter.Connect`
    `static class` | `IObjFileImporter.Curve`
    `static class` | `IObjFileImporter.Curve2D`
    `static class` | `IObjFileImporter.CurveApproximationTechnique`
    `static class` | `IObjFileImporter.CurveType`
    `static class` | `IObjFileImporter.Degree`
    `static class` | `IObjFileImporter.DiffuseColor`
    `static class` | `IObjFileImporter.DissolveInterpolation`
    `static class` | `IObjFileImporter.EndStatement`
    `static class` | `IObjFileImporter.Entity`
    `static class` | `IObjFileImporter.EntityData`
    `static class` | `IObjFileImporter.Face`
    `static class` | `IObjFileImporter.GeometricVertex`
    `static class` | `IObjFileImporter.GroupName`
    `static class` | `IObjFileImporter.IlluminationMode`
    `static class` | `IObjFileImporter.InnerTrimmingLoop`
    `static class` | `IObjFileImporter.LevelOfDetail`
    `static class` | `IObjFileImporter.Line`
    `static class` | `IObjFileImporter.Material` MTL file entities
    `static class` | `IObjFileImporter.MaterialLibrary`
    `static class` | `IObjFileImporter.MaterialName`
    `static class` | `IObjFileImporter.MergingGroup`
    `static class` | `IObjFileImporter.ObjectName`
    `static class` | `IObjFileImporter.OuterTrimmingLoop`
    `static class` | `IObjFileImporter.Parameter`
    `static class` | `IObjFileImporter.ParameterSpaceVertex`
    `static class` | `IObjFileImporter.ParametricGeometryData`
    `static class` | `IObjFileImporter.Point`
    `static class` | `IObjFileImporter.RayTracing`
    `static class` | `IObjFileImporter.ShadowCasting`
    `static class` | `IObjFileImporter.Shininess`
    `static class` | `IObjFileImporter.SmoothingGroup`
    `static class` | `IObjFileImporter.SpecialCurve`
    `static class` | `IObjFileImporter.SpecialPoint`
    `static class` | `IObjFileImporter.SpecularColor`
    `static class` | `IObjFileImporter.StepSize`
    `static class` | `IObjFileImporter.Surface`
    `static class` | `IObjFileImporter.SurfaceApproximationTechnique`
    `static class` | `IObjFileImporter.TextureMap`
    `static class` | `IObjFileImporter.TextureVertex`
    `static class` | `IObjFileImporter.Transparency`
    `static class` | `IObjFileImporter.Transparency2`
    `static class` | `IObjFileImporter.VertexNormal`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `ignoreLayers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IObjFileImporter()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.ArrayList<IObjFileImporter.Entity>` | `init(IServerI server, java.util.ArrayList<IObject> objectContainer)`
    `static java.util.ArrayList<IObject>` | `read(java.io.File file, IServerI server)` Reading an OBJ file and creating objects in a server.
    `static java.util.ArrayList<IObject>` | `read(java.io.InputStream stream, IServerI server)` Reading an OBJ file and creating objects in a server.
    `static java.util.ArrayList<IObject>` | `read(java.io.Reader filereader, IServerI server)` Reading an OBJ file and creating objects in a server.
    `static java.util.ArrayList<IObjFileImporter.Material.Data>` | `readMTL(java.io.File file, IServerI server)` Reading an OBJ file and creating objects in a server.
    `static java.util.ArrayList<IObjFileImporter.Material.Data>` | `readMTL(java.io.InputStream stream, IServerI server)` Reading an OBJ file and creating objects in a server.
    `static java.util.ArrayList<IObjFileImporter.Material.Data>` | `readMTL(java.io.Reader filereader, IServerI server)` Reading an MTL file and creating material list
    `static java.lang.String` | `readwoBS(java.io.BufferedReader reader)`
    `static java.lang.String` | `skipUntil(java.io.BufferedReader reader, java.lang.String line, java.lang.String start)`
    `static java.lang.String` | `skipUntilOr(java.io.BufferedReader reader, java.lang.String line, java.lang.String start1, java.lang.String start2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ignoreLayers

          public static final boolean ignoreLayers

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IObjFileImporter

          public IObjFileImporter()

  - ### Method Detail

    - #### readwoBS

          public static java.lang.String readwoBS(java.io.BufferedReader reader)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### skipUntil

          public static java.lang.String skipUntil(java.io.BufferedReader reader,
                                                   java.lang.String line,
                                                   java.lang.String start)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### skipUntilOr

          public static java.lang.String skipUntilOr(java.io.BufferedReader reader,
                                                     java.lang.String line,
                                                     java.lang.String start1,
                                                     java.lang.String start2)
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### init

          public static java.util.ArrayList<IObjFileImporter.Entity> init(IServerI server,
                                                                          java.util.ArrayList<IObject> objectContainer)

    - #### read

          public static java.util.ArrayList<IObject> read(java.io.File file,
                                                          IServerI server)

      Reading an OBJ file and creating objects in a server. The main entry of the importer class.
      Parameters:
        `file` - An importing file object.
        `server` - A server interface to put imported objects in.
      Returns:
        ArrayList of created IObject.

    - #### read

          public static java.util.ArrayList<IObject> read(java.io.InputStream stream,
                                                          IServerI server)

      Reading an OBJ file and creating objects in a server. The main entry of the importer class.
      Parameters:
        `stream` - An input stream.
        `server` - A server interface to put imported objects in.
      Returns:
        ArrayList of created IObject.

    - #### read

          public static java.util.ArrayList<IObject> read(java.io.Reader filereader,
                                                          IServerI server)

      Reading an OBJ file and creating objects in a server.
      Parameters:
        `filereader` - Reader object of an importing file.
        `server` - A server interface to put imported objects in.
      Returns:
        ArrayList of created IObject.

    - #### readMTL

          public static java.util.ArrayList<IObjFileImporter.Material.Data> readMTL(java.io.File file,
                                                                                    IServerI server)

      Reading an OBJ file and creating objects in a server. The main entry of the importer class.
      Parameters:
        `file` - An importing file object.
        `server` - A server interface to put imported objects in.
      Returns:
        ArrayList of created IObject.

    - #### readMTL

          public static java.util.ArrayList<IObjFileImporter.Material.Data> readMTL(java.io.InputStream stream,
                                                                                    IServerI server)

      Reading an OBJ file and creating objects in a server. The main entry of the importer class.
      Parameters:
        `stream` - An input stream.
        `server` - A server interface to put imported objects in.
      Returns:
        ArrayList of created IObject.

    - #### readMTL

          public static java.util.ArrayList<IObjFileImporter.Material.Data> readMTL(java.io.Reader filereader,
                                                                                    IServerI server)

      Reading an MTL file and creating material list
      Parameters:
        `filereader` - Reader object of an importing file.
      Returns:
        ArrayList of created IObject.